package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 建团日志表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_build_log")
public class MusicGroupBuildLog extends Model<MusicGroupBuildLog> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Integer id;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    /**
     * 事件
     */
    @TableField("event_")
    private String event;
    @TableField("operator_")
    private Integer operator;
    @TableField("memo_")
    private String memo;
    @TableField("create_time_")
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public MusicGroupBuildLog setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupBuildLog setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public String getEvent() {
        return event;
    }

    public MusicGroupBuildLog setEvent(String event) {
        this.event = event;
        return this;
    }

    public Integer getOperator() {
        return operator;
    }

    public MusicGroupBuildLog setOperator(Integer operator) {
        this.operator = operator;
        return this;
    }

    public String getMemo() {
        return memo;
    }

    public MusicGroupBuildLog setMemo(String memo) {
        this.memo = memo;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupBuildLog setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupBuildLog{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", event=" + event +
        ", operator=" + operator +
        ", memo=" + memo +
        ", createTime=" + createTime +
        "}";
    }
}
